
********** PROBLEMES ETPERSPECTIVES************************************.

GET
  FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\NOUVEAU\Phase2UPIA.sav'.

sort case by idupi.

recode s4 (sysmis=0).

sel if s4 = 0 and any(s1,1,2).

wei by pond32b.

********************************* Tableaux 1: PRINCIPALES DIFFICULTEES RENCONREES DANS LE SECTEUR INFORMEL "*****************************************************.


Compute  pbmatpre =100*(g4a=1).
var lab pbmatpre "Difficult d'approvisionnement en matire premire".

Compute  pbclient =100*(g4b=1).
var lab pbclient "Manque de clientle".

Compute  pbconcu =100*(g4c=1).
var lab pbconcu "Trop de concurrence".

Compute  pbtreso =100*(g4d=1).
var lab pbtreso "Diificult d'accs au crdit".

Compute  pbrecru =100* (g4e=1).
var lab pbrecru "Crdit trop cher".

Compute  pbespace =100*(g4f=1).
var lab pbespace "Problme de personnel qualifi".

Compute  pbequip =100*(g4g=1).
var lab pbequip "Manque de place".

Compute  pbtechn =100*(g4h=1).
var lab pbtechn "Problme d'quipement".

Compute  pborgan =100*(g4i=1).
var lab pborgan "Problme technique de fabrication".

Compute  pbregle =100*(g4j=1).
var lab pbregle "Problme d'organisation, de gestion".

Compute  tropreg =100*(g4k=1).
var lab tropreg "Trop de rglementations, impts et taxes".

Compute  autre =100*(G4L=1).
var lab autre "Autres problmes ".

Compute  aucun =100*(G4M eq 2).
var lab aucun "Aucun problme ".


compute pb=100*(g4a=1|g4b=1|g4c=1|g4d=1|g4e=1|g4f=1|g4g=1|g4h=1|g4i=1|g4j=1|g4k=1|g4l=1).
var lab pb"Les problmes".
val lab pb 0"N'ont eu aucun problme" 100"Ont eu au moins un problme".
exe.

TABLES
  /OBSERVATION= pbmatpre pbclient pbconcu pbtreso pbrecru pbespace pbequip pbtechn pborgan pbregle tropreg autre aucun
  /FTOTAL= $t000001 "Total"
  /TABLE=pbmatpre + pbclient + pbconcu + pbtreso + pbrecru + pbespace + pbequip + pbtechn + pborgan + pbregle + tropreg +
  autre + aucun  BY region > ( Branc4 + $t000001  )
  /STATISTICS  mean( pbmatpre) mean( pbclient) mean( pbconcu) mean( pbtreso) mean( pbrecru) mean( pbespace)
                       mean( pbequip) mean( pbtechn) mean( pborgan) mean( pbregle) mean( tropreg) mean( autre) mean( aucun).

TABLES
  /OBSERVATION= pbmatpre pbclient pbconcu pbtreso pbrecru pbespace pbequip pbtechn pborgan pbregle tropreg autre aucun
  /FTOTAL= $t000001 "Total"
  /TABLE=pbmatpre + pbclient + pbconcu + pbtreso + pbrecru + pbespace + pbequip + pbtechn + pborgan + pbregle + tropreg +
  autre + aucun  BY ( Branc4 + $t000001  )
  /STATISTICS  mean( pbmatpre) mean( pbclient) mean( pbconcu) mean( pbtreso) mean( pbrecru) mean( pbespace)
                       mean( pbequip) mean( pbtechn) mean( pborgan) mean( pbregle) mean( tropreg) mean( autre) mean( aucun).



************************************** Tableaux 2: PRINCIPALES DIFFICULTEES RENCONREES DANS LE SECTEUR INFORMEL "*****************************************************.


recode B1A B1B B1C (sysmis = 0).

if (B1A eq 1) travail=1.
if (B1A gt 1 and B1B eq 0 ) travail=2.
if (B1A gt 1 and B1B gt 0 and B1C =1) travail=3.
if (B1A gt 1 and B1B gt 0 and B1C gt 1) travail=4.

var lab travail "Type d'UPI".
val lab travail 1"Auto-emploi" 2"Non salarial" 3"Salarial" 4"Mixte".

compute z=(travail > 1).
filter by z.
exe.
               
Compute  mqmoqua =100*(b5a=1).
var lab mqmoqua "Manque de main d'oeuvre qualifie".

Compute  instabem =100* (b5b=1).
var lab instabem"Instabilit des employs".

Compute  saleleve =100* (b5c=1).
var lab saleleve "Salaire trop lev".

Compute  pbsynd =100* (b5d=1).
var lab pbsynd "Problmes avec syndicat".

Compute  indisci =100* (b5e=1).
var lab indisci "Indiscipline,pas srieux".

Compute  autre =100* (b5f=1).
var lab autre"Autres problmes".
exe.


TABLES
  /OBSERVATION= mqmoqua instabem saleleve pbsynd indisci autre 
  /FTOTAL= $t000001 "Total"
  /TABLE=mqmoqua + instabem + saleleve + pbsynd + indisci + autre  BY region > ( Branc4 + $t000001  )
  /STATISTICS   mean( mqmoqua)   mean( instabem)   mean( saleleve)   mean( pbsynd)   mean( indisci) mean( autre).

TABLES
  /OBSERVATION= mqmoqua instabem saleleve pbsynd indisci autre 
  /FTOTAL= $t000001 "Total"
  /TABLE=mqmoqua + instabem + saleleve + pbsynd + indisci + autre   BY ( Branc4 + $t000001  )
  /STATISTICS   mean( mqmoqua)   mean( instabem)   mean( saleleve)   mean( pbsynd)   mean( indisci) mean( autre).

filter off.
exe.


************************************** Tableaux 3: AIDES SOUHAITEES PAR LES CHEFS D'UPI "*****************************************************.
recode g50k (sysmis=0).

Compute  fortechn =100* (g51=1).
var lab fortechn "Formation technique".

Compute  fororga =100* (g52=1).
var lab fororga "Formation,organisation,comptes".

Compute  assisapr =100* (g53=1).
var lab assisapr  "Assistance approvi".

Compute  machmod =100* (g54=1).
var lab machmod "Machine moderne".

Compute  credit =100* (g50e=1).
var lab credit "Accs au crdit".

Compute  infomarc =100* (g50f=1).
var lab infomarc "Info sur le march".

Compute  groscoma =100* (g50g=1).
var lab groscoma "Grosse commande".

Compute  enregis =100* (g50h=1).
var lab enregis "Enregis activit".

Compute  publicit =100* (g50i=1).
var lab publicit "Publicit nouv produit".

Compute  autre =100* (g50j=1).
var lab autre "Autre".

compute aucun = 100*(G50K = 2).
var lab aucun "Aucune aide".


TABLES
  /OBSERVATION= fortechn fororga assisapr machmod credit infomarc groscoma enregis publicit aucun
  /FTOTAL= $t000001 "Total"
  /TABLE=fortechn + fororga + assisapr + machmod + credit + infomarc + groscoma + enregis + publicit + aucun  BY region > (Branc4 + $t000001  )
  /STATISTICS  mean( fortechn)  mean( fororga)  mean( assisapr)  mean( machmod)  mean( credit)  mean( infomarc)  mean( groscoma)
  mean( enregis)  mean( publicit)  mean( aucun).

TABLES
  /OBSERVATION= fortechn fororga assisapr machmod credit infomarc groscoma enregis publicit aucun
  /FTOTAL= $t000001 "Total"
  /TABLE=fortechn + fororga + assisapr + machmod + credit + infomarc + groscoma + enregis + publicit + aucun  BY ( Branc4 + $t000001  )
  /STATISTICS  mean( fortechn)  mean( fororga)  mean( assisapr)  mean( machmod)  mean( credit)  mean( infomarc)  mean( groscoma)
  mean( enregis)  mean( publicit)  mean( aucun).



************************************** Tableaux 6.4: UTILISATION DES CREDITS PAR LES UPI ( en % des UPI) "*****************************************************.


Recode g7 (1,2,3,4=1) (5,6=2) (7=3) (8=4)  into typcroi.
var lab typcroi "Type de croissance".
val lab typcroi 1"Croissance intensive" 2"Croissance extensive" 3"Engager des dpences hors tablissement" 4"Autres".
exe.

TABLES
  /FTOTAL= $t000003 "Total" $t000001 "Total"
  /TABLE=typcroi > ( G7 + $t000003  )  BY region > ( Branc4 + $t000001  )
  /STATISTICS cpct( G7( PCT5.1 ) 'Col %':region Branc4 ).


TABLES
  /FTOTAL= $t000003 "Total" $t000001 "Total"
  /TABLE=typcroi > ( G7 + $t000003  )  BY ( Branc4 + $t000001  )
  /STATISTICS cpct( G7( PCT5.1 ) 'Col %': Branc4 ).



************************************** Tableaux 6: STRATEGIES EN CAS DE REDUCTION DE LA DEMANDE ( en % des UPI) "*****************************************************.
TABLES
  /FTOTAL= $t000003 "Total" $t000001 "Total"
  /TABLE=( G20 + $t000003  )  BY region > ( Branc4 + $t000001  )
  /STATISTICS cpct( G20( PCT5.1 ) 'Col %':region Branc4 ).


TABLES
  /FTOTAL= $t000003 "Total" $t000001 "Total"
  /TABLE=( G20 + $t000003  )  BY ( Branc4 + $t000001  )
  /STATISTICS cpct( G20( PCT5.1 ) 'Col %': Branc4 ).

wei off.

************************************** Tableaux 7: PERSPECTIVES D'AVENIR DES CHEFS D'UPI "*****************************************************.


MATCH FILES /TABLE=*
 /FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\Nouveau\Phase2MO.sav'
 /BY idupi.
EXECUTE.

wei by pond32.

compute chef=(b31=1 | b31=2).
filter by chef.

Compute  avenir =100* (g23=1).
var lab avenir "L'UPI a un avenir".

Compute  releve =100* (g24a=1).
var lab releve "Dsir voir ses enffants prendre la relve".
exe.

recode b27 (lowest thru 1=1) (1,1 thru 3=2) (3 thru highest=3) (99=sysmis) into anciene.
var lab anciene"Anciennet du propritaire".
val lab anciene 1"Moins d'un an d'anciennet" 2"De 1  3 ans d'anciennet" 3"Plus de 3 ans d'anciennet".
   
recode b23 (lowest thru 25=1) (25,1 thru 45=2) (45,1 thru highest=3) ( 99=sysmis) into classag.
var lab classag"Classe d'age du chef de l'UPI".
val lab classag 1"Moins de 25ans" 2"De 25  45 ans" 3"Plus de 45 ans".
exe.

TABLES
  /OBSERVATION= avenir releve
  /FTOTAL= $t000004 "Total"
  /TABLE= region > (B31 + B22 + classag + anciene + Branc4 + $t000004)  BY avenir + releve
  /STATISTICS mean( avenir) mean( releve).

TABLES
  /OBSERVATION= avenir releve
  /FTOTAL= $t000004 "Total"
  /TABLE= (B31 + B22 + classag + anciene + Branc4 + $t000004)  BY avenir + releve
  /STATISTICS mean( avenir) mean( releve).


filter off.

