
GET
  FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\Nouveau\Equipement.sav'.

sort cases by idupi.

MATCH FILES /FILE=*
 /TABLE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\nouveau\temp.sav'
 /BY idupi.

recode s4 (sysmis=0).
sel if any(s1,1,2) and s4 eq 0.

if prov = 10 valeur=valeur*1.2623.

if (numsite > 50) valeur=valeur*1000.


AGGREGATE
  /OUTFILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\Nouveau\Capital.sav'
  /BREAK=idupi
  /K "Valeur du capital"= SUM(valeur).

******************************************************* T ABLEAUX  Caractrsitiques du grequip des UPI*******************************************************************.
wei by pond32b.

means valeur by region by branc4
/cell mean sum.

TABLES
  /OBSERVATION= Valeur
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=region > ( Branc4 + $t000001  )  BY Grequip > Valeur + $t000002
  /STATISTICS
  spct( Valeur( PCT5.1 ) 'Row Sum %':region Branc4 ).


TABLES
  /OBSERVATION= Valeur
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE= ( Branc4 + $t000001  )  BY Grequip > Valeur + $t000002
  /STATISTICS
  spct( Valeur( PCT5.1 ) 'Row Sum %':Branc4 ).


********************************** TABLEAU Secteur d'origine du grequip de secteur informel********************************************************.
recode qualite (4=sysmis).

TABLES
  /OBSERVATION= Valeur
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=region > ( grequip + $t000001  )  BY qualite > Valeur + $t000002
  /STATISTICS
  spct( Valeur( PCT5.1 ) 'Row Sum %':region grequip ).


TABLES
  /OBSERVATION= Valeur
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE= ( grequip + $t000001  )  BY qualite > Valeur + $t000002
  /STATISTICS
  spct( Valeur( PCT5.1 ) 'Row Sum %':grequip ).


TABLES
  /OBSERVATION= Valeur
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=region > ( grequip + $t000001  )  BY appart > Valeur + $t000002
  /STATISTICS
  spct( Valeur( PCT5.1 ) 'Row Sum %':region grequip ).


TABLES
  /OBSERVATION= Valeur
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE= ( grequip + $t000001  )  BY appart > Valeur + $t000002
  /STATISTICS
  spct( Valeur( PCT5.1 ) 'Row Sum %':grequip ).


TABLES
  /OBSERVATION= Valeur
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=region > ( branc4 + $t000001  )  BY origine > Valeur + $t000002
  /STATISTICS
  spct( Valeur( PCT5.1 ) 'Row Sum %':region branc4 ).


TABLES
  /OBSERVATION= Valeur
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE= ( branc4 + $t000001  )  BY origine > Valeur + $t000002
  /STATISTICS
  spct( Valeur( PCT5.1 ) 'Row Sum %':branc4 ).


TABLES
  /OBSERVATION= Valeur
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=region > ( branc4 + $t000001  )  BY financ > Valeur + $t000002
  /STATISTICS
  spct( Valeur( PCT5.1 ) 'Row Sum %':region branc4 ).


TABLES
  /OBSERVATION= Valeur
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE= ( branc4 + $t000001  )  BY financ > Valeur + $t000002
  /STATISTICS
  spct( Valeur( PCT5.1 ) 'Row Sum %':branc4 ).




***********************************"CREATION DE LA VARIABLE AGE DE L'EQUIPEMENT EN MOIS.************************************************

GET
  FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\Nouveau\Equipement.sav'.

sort cases by idupi.

MATCH FILES /FILE=*
 /TABLE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\nouveau\temp.sav'
 /BY idupi.

compute inv=0.
if (prov = 10 and  annach=04 or (moisach ge 09 and moisach le 12 and annach=3)) inv=1.
if (prov > 10 and  annach=05 or (moisach ge 05 and moisach le 12 and annach=4)) inv=1.

if prov = 10 valeur=valeur*1.2623.

if (numsite > 50) valeur=valeur*1000.

recode inv Grequip (sysmis = 0).

if inv=1 invest=valeur.

AGGREGATE
  /OUTFILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\Nouveau/invest.sav'
  /BREAK=idupi
  /investi = SUM(invest) /Valeur = SUM(Valeur) /Grequip = MAX(Grequip).


get file='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\Nouveau/invest.sav'.

MATCH FILES /FILE=*
 /FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\nouveau\temp.sav'
 /BY idupi.

*recode Grequip investi (sysmis = 0).
 
recode s4 (sysmis=0).
sel if any(s1,1,2) and s4 eq 0.

compute tinv=0.
compute tinv=100*( investi>0).

recode tinv Grequip (sysmis=0).


wei by pond32b.

TABLES
  /OBSERVATION= tinv
  /FTOTAL= $t000001 "Total"
  /TABLE=region > ( Branc4 + $t000001  )  BY tinv
  /STATISTICS  mean( tinv).

TABLES
  /OBSERVATION= tinv
  /FTOTAL= $t000001 "Total"
  /TABLE=( Branc4 + $t000001  )  BY tinv
  /STATISTICS  mean( tinv).

TABLES
  /OBSERVATION= valeur
  /FTOTAL= $t000001 "Total"
  /TABLE=region > ( Branc4 + $t000001  )  BY valeur
  /STATISTICS  mean( valeur) sum( valeur).

TABLES
  /OBSERVATION= valeur
  /FTOTAL= $t000001 "Total"
  /TABLE=( Branc4 + $t000001  )  BY valeur
  /STATISTICS  mean( valeur) sum(valeur).

TABLES
  /OBSERVATION= valeur
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=region > ( Branc4 + $t000001  )  BY Grequip > valeur + $t000002
  /STATISTICS spct( valeur( PCT5.1 ) 'Row Sum %':region Branc4 ).

TABLES
  /OBSERVATION= valeur
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=( Branc4 + $t000001  )  BY Grequip > valeur + $t000002
  /STATISTICS spct( valeur( PCT5.1 ) 'Row Sum %': Branc4 ).


sel if Grequip>0. 

TABLES
  /OBSERVATION= tinv
  /FTOTAL= $t000001 "Total"
  /TABLE=region > ( Branc4 + $t000001  )  BY tinv
  /STATISTICS  mean( tinv).

TABLES
  /OBSERVATION= tinv
  /FTOTAL= $t000001 "Total"
  /TABLE=( Branc4 + $t000001  )  BY tinv
  /STATISTICS  mean( tinv).


TABLES
  /OBSERVATION=  investi
  /FTOTAL= $t000001 "Total"
  /TABLE=region > ( Branc4 + $t000001  )  BY  investi
  /STATISTICS  mean(  investi) sum(  investi).

TABLES
  /OBSERVATION=  investi
  /FTOTAL= $t000001 "Total"
  /TABLE=( Branc4 + $t000001  )  BY investi
  /STATISTICS  mean(  investi) sum( investi).

TABLES
  /OBSERVATION=  investi
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=region > ( Branc4 + $t000001  )  BY Grequip >  investi+ $t000002
  /STATISTICS spct(  investi( PCT5.1 ) 'Row Sum %':region Branc4 ).

TABLES
  /OBSERVATION=  investi
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=( Branc4 + $t000001  )  BY Grequip >  investi+ $t000002
  /STATISTICS spct(  investi( PCT5.1 ) 'Row Sum %': Branc4 ).


*********************************EMPRUNT *******************************************************.

GET
  FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\Nouveau\phase2UPIA.sav'.

recode s4 (sysmis=0).
sel if any(s1,1,2) and s4 eq 0.

***Prise en compre de l'inflation  Kinshasa entre 2004 et 2005**.

if prov = 10 F2TOT1 =F2TOT1*1.2623.

compute emp= 100*(F2TOT1 > 0).
 
WEI BY POND32b.

TABLES
  /OBSERVATION= emp
  /FTOTAL= $t000001 "Total"
  /TABLE=region > ( Branc4 + $t000001  )  BY emp
  /STATISTICS  mean( emp).

TABLES
  /OBSERVATION= emp
  /FTOTAL= $t000001 "Total"
  /TABLE=( Branc4 + $t000001  )  BY emp
  /STATISTICS  mean( emp).

sel if emp=100.

TABLES
  /OBSERVATION= F2TOT1 
  /FTOTAL= $t000001 "Total"
  /TABLE=region > ( Branc4 + $t000001  )  BY F2TOT1 
  /STATISTICS  mean( F2TOT1 ) sum( F2TOT1).

TABLES
  /OBSERVATION= F2TOT1 
  /FTOTAL= $t000001 "Total"
  /TABLE=( Branc4 + $t000001  )  BY F2TOT1 
  /STATISTICS  mean( F2TOT1 ) sum( F2TOT1).

