 GET
  FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\nouveau\Phase2UPIa.sav'.

recode s4 (sysmis=0).
sel if s4=0 and any(s1,1,2).

recode B1A B1B B1C (sysmis = 0).

if (B1A eq 1) travail=1.
if (B1A gt 1 and B1B eq 0 ) travail=2.
if (B1A gt 1 and B1B gt 0 and B1C =1) travail=3.
if (B1A gt 1 and B1B gt 0 and B1C gt 1) travail=4.

var lab travail "Type d'UPI".
val lab travail 1"Auto-emploi" 2"Non salarial" 3"Salarial" 4"Mixte".

WEI by pond32b.

TABLES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=region > ( Branc4 + $t000001  )  BY travail + $t000002
  /STATISTICS  cpct( travail ( PCT5.1 ) 'Row %':region Branc4 ).

TABLES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=Branc4 + $t000001  BY travail + $t000002
  /STATISTICS   cpct( travail ( PCT5.1 ) 'Row %':Branc4 ).

************************************************Organisation du travail dans le secteur informel********************.

GET
  FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\nouveau\Phase2UPIA.sav'/keep idupi prov region s1 s4 B1A B1B B1C branc4 branc11 pond32b.

recode s4 (sysmis=0).
sel if s4=0 and any(s1,1,2).

wei by pond32b.

TITLE"Taille moyenne des UPI par rgion et branche".

*TABLES
  /OBSERVATION= B1A
  /FTOTAL= $t000001 "Total"
  /TABLE=region > ( Branc4 + $t000001  )  BY B1A
  /STATISTICS mean( B1A).

*TABLES
  /OBSERVATION= B1A
  /FTOTAL= $t000001 "Total"
  /TABLE=( Branc4 + $t000001  )  BY B1A
  /STATISTICS mean( B1A).

wei off.

MATCH FILES /TABLE=*
 /FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\nouveau\Phase2MO.sav'
 /BY idupi.
EXECUTE.

compute indep=(b31 eq 1 or b31 eq 2 or b31 eq 7).
compute sal=(b31 eq 3 or b31 eq 4).
compute nsal=(b31 eq 5 or b31 eq 6 or B31 eq 8 or b31 eq 1 or b31 eq 2 or b31 eq 7).
compute dep =(b31 eq 5 or b31 eq 6 or B31 eq 8).
 
AGGREGATE
  /OUTFILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\nouveau\Taille1.sav'
  /BREAK=idupi
  /nbindep "Nombre d'indpendants"= SUM(indep) 
  /nbdep "Nombre d'indpendants"= SUM(dep) 
  /nbresal "Nombre de salaris dans l'UPI"= SUM(sal) 
  /nbrensal "Nombre de non salaris dans l'UPI" = SUM(nsal) 
  /Tailupi "Taille de l'UPI" = NU(B00)
  /nheur "Nombre d'heures de travail" = sum(B36).

MATCH FILES /FILE=*
 /TABLE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\nouveau\Taille1.sav'
 /BY idupi.
EXECUTE.

wei by pond32b.

recode s4 (sysmis=0).
sel if s4=0 and any(s1,1,2).


compute Tsal=100*(B31 eq 3 or B31 eq 4).
exe.

TABLES
  /OBSERVATION= Tsal
  /FTOTAL= $t000001 "Total"
  /TABLE=region > ( Branc4 + $t000001  )  BY Tsal
  /STATISTICS mean( Tsal).

TABLES
  /OBSERVATION= Tsal
  /FTOTAL= $t000001 "Total"
  /TABLE=( Branc4 + $t000001  )  BY Tsal
  /STATISTICS mean( Tsal).


TITLE"Caractristiques des emplois dpendants dans le secteur informel".


compute dep=(b31 eq 3 or b31 eq 4 or b31 eq 5 or b31 eq 6 or b31 eq 8).

filter by dep.  
exe.

Compute  permanen =100*(B32=1).
var lab permanen "Permanent".

Compute contrat =100*(B33=1| B33=2).
var lab contrat "Contrat crit".

compute entente=100*(B33=3 | B33=4).
var lab entente "Entente verbale".

compute ncontrat=100*(B33=5).
var lab ncontrat "Pas de contat".

compute  primes=100*(B41=1| B42=1).
var lab primes "Primes".

compute  congpay=100*(B43=1).
var lab congpay " Congs pays ".

compute  partben=100*(B44=1).
var lab partben " Participation aux bnfices".

compute  cnps=100*(B45=1).
var lab cnps " Scurit sociale".

compute  noparent= 100*(B21=5).
var lab noparent "Non apparent".
exe.

TABLES
  /OBSERVATION= permanen contrat entente ncontrat noparent primes congpay partben cnps
  /FTOTAL= $t000001 "Total"
  /TABLE=region > ( b31 + $t000001  )  BY permanen + contrat + entente + ncontrat + noparent + primes + congpay + partben + cnps
  /STATISTICS  mean( permanen)  mean( contrat)  mean( entente)  mean( ncontrat)  mean( noparent)  mean( primes)  mean( congpay)  mean( partben)
  mean( cnps).

TABLES
  /OBSERVATION= permanen contrat entente ncontrat noparent primes congpay partben cnps
  /FTOTAL= $t000001 "Total"
  /TABLE=( b31 + $t000001  )  BY permanen + contrat + entente + ncontrat + noparent + primes + congpay + partben + cnps
  /STATISTICS  mean( permanen)  mean( contrat)  mean( entente)  mean( ncontrat)  mean( noparent)  mean( primes)  mean( congpay)  mean( partben)
  mean( cnps).

filter off.


compute heure=B36/4.3.

recode heure (low thru 24=1) (24 thru 40=2) (40 thru 48=3) (48 thru 60=4) (60 thru HI=5) into dure.
val lab dure 1"Moins de 24 h" 2"24-40 h" 3"40-48 h" 4"48-60 h" 5"60 h et plus".

*Cration de la variable niveau d'tude.
recode B25 (0=0) (1 thru 6=1) (7 thru 12=2) (14 thru hi=3) into nivinst.
var lab nivinst"Niveau d'instruction".
val lab nivinst 0"Non scolaris" 1"Primaire" 2"Secondaire" 3"Suprieur".

**************************************** TABLEAUX 2.1 : CARACTERISTIQUES DEMO DE LA MAIN D'OEUVRE  *************************************.

Compute jeune=100*(B23 ge 18 and B23 lt 25).
Compute enfant=100*(B23 lt 18).
val lab jeune 100"Jeune de 18  24 ans" 0"Plus de 25 ans".
var lab jeune"Jeune de 18  24 ans".
val lab enfant 100"enfant de moins de 18 ans" 0"18 ans et plus".
var lab enfant"enfant de moins de 18 ans".


Compute jeune2=100*(B23 lt 25).
val lab jeune2 100"Jeune de moins de 25 ans" 0"Plus de 25 ans".
var lab jeune2"Jeune de moins de 25 ans".
Compute adulte=100*(B23 ge 25).
val lab adulte 100"Adulte de 25 ans ou +" 0"moins de 25 ans".
var lab adulte"Adulte de 25 ans ou +".

compute n=1.
var lab n"Actifs informels".

compute femme=100*(B22 eq 2).
var lab femme "% de femmes".


TABLES
  /OBSERVATION= femme jeune2 B23 B25 B27
  /FTOTAL= $t000001 "Total"
  /TABLE=region > (B31 + branc4 + $t000001)  BY n + femme + jeune2 + B23+ B25 + B27
  /STATISTICS   count( n( F5.0 ))   cpct( n( PCT5.1 ) 'Col %':n )
  mean( femme)   mean( jeune2)   mean( B23)   mean( B25)
  mean( B27) /TITLE  'Caractristiques dmographiques des actifs informels'.

TABLES
  /OBSERVATION= femme jeune2 B23 B25 B27
  /FTOTAL= $t000001 "Total"
  /TABLE=B31 + branc4 +$t000001  BY n + femme + jeune2 + B23+ B25 + B27
  /STATISTICS   count( n( F5.0 ))   cpct( n( PCT5.1 ) 'Col %':n )
  mean( femme)   mean( jeune2)   mean( B23)   mean( B25)
  mean( B27) /TITLE  'Caractristiques dmographiques des actifs informels'.


TABLES
  /OBSERVATION= femme jeune2 B23 B25 B27
  /FTOTAL= $t000001 "Total"
  /TABLE=region > (branc4 + $t000001)  BY n + femme + jeune2 + B23+ B25 + B27
  /STATISTICS   count( n( F5.0 ))   cpct( n( PCT5.1 ) 'Col %':n )
  mean( femme)   mean( jeune2)   mean( B23)   mean( B25)
  mean( B27) /TITLE  'Caractristiques dmographiques des actifs informels'.

TABLES
  /OBSERVATION= femme jeune2 B23 B25 B27
  /FTOTAL= $t000001 "Total"
  /TABLE=branc4 + $t000001  BY n + femme + jeune2 + B23+ B25 + B27
  /STATISTICS   count( n( F5.0 ))   cpct( n( PCT5.1 ) 'Col %':n )
  mean( femme)   mean( jeune2)   mean( B23)   mean( B25)
  mean( B27) /TITLE  'Caractristiques dmographiques des actifs informels'.


********************************** TABLEAUX RELATIFS AUX  REVENUS*****************************..

GET
  FILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\nouveau\Phase2MO.sav'.

recode s4 (sysmis=0).
sel if any(s1,1,2) and s4 eq 0.

compute pcpte=( B31 =2).
compute patron=( B31 =1).
compute sal=(B31 =3 | B31=4).
compute nsal=(b31 eq 1 or b31 eq 2 or b31 eq 7 or b31 eq 5 or b31 eq 6).
compute depend=(b31 eq 5 or b31 eq 6).
compute chef =(B31 le 2 | B31=7).
exe.

recode B41 to B46 (2=0) (sysmis=0).
exe.

sort cases by idupi.

AGGREGATE
  /OUTFILE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\nouveau\MO.sav'
  /BREAK=idupi
  /pcpte= MAX(pcpte)
  /patron= MAX(patron)  
  /cheft=SUM(chef)  
  /depend = SUM(depend) 
  /nbrsal = SUM(sal)
  /nbrnsal = SUM(nsal)
  /taille = NU(B00)
  /heur=SUM(B36) 
  /nbreprim=SUM(B41) 
  /nbautprm=SUM(B42)
  /nbrcong=SUM(B43) 
  /nbrpart=SUM(B44) 
  /nbrcnps=SUM(B45) 
  /nbraut=SUM(B46).


MATCH FILES /FILE=*
 /TABLE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\nouveau\MO.sav'
 /BY idupi.

MATCH FILES /FILE=*
 /TABLE='C:\Users\MBA\Documents\Consutation CONGO\Mission Apurement21\Phase 2\nouveau\Agregat.sav'
 /BY idupi.

recode s4 (sysmis=0).
sel if any(s1,1,2) and s4 eq 0.

var lab taille "Taille de l'UPI".
var lab depend "Nombre de travailleurs dpendants".
var lab nbreprim "Nombre de travailleurs ayant des primes de fin d'anne".  
var lab nbautprm "Nombre de travailleurs ayant des autres primes".  
var lab nbrcong "Nombre de travailleurs ayant des congs pays".  
var lab nbrpart "Nombre de travailleurs ayant des participation aux bnfices".  
var lab nbrcnps "Nombre de travailleurs ayant la CNPS".  
var lab nbraut "Nombre de travailleurs ayant des autres avantages".  
var lab cheft "Nombre de chefs dans l'UPI".

compute heure=B36/4.3.

compute a1=(B41=1)*(B4A/nbreprim).
compute a2=(B42=1)*(B4B/nbautprm).
compute a3=(B43=1)*(B4C/nbrcong).
compute a4=(B44=1)*(B4D/nbrpart).
compute a5=(B45=1)*(B4E/nbrcnps).
compute a6=(B46=1)*(B4F/nbraut).
exe.

*Cration de la variable niveau d'tude.
recode B25 (0=0) (1 thru 6=1) (7 thru 12=2) (14 thru hi=3) into nivinst.
var lab nivinst"Niveau d'instruction".
val lab nivinst 0"Non scolaris" 1"Primaire" 2"Secondaire" 3"Suprieur".


*****************************************************CREATION DE LA VARIABLE REVENU*************************************.

recode B31 (1=1) (2=2) (7=3) (3,4=4) (else=5) into B31a.
val lab B31a 1'Patron' 2'Compte propre' 3'Associs' 4'Salari' 5'Dpendants'.

*sel if ebe>0.

Compute rev=0.
if (B31a le 3) rev= ebe/cheft.
if  (B31a eq 4 and prov >10)   rev =sum(B37, a1, a2, a3, a4, a5, a6).
if  (B31a eq 4 and prov =10)   rev =sum(B37, a1, a2, a3, a4, a5, a6)*1.2623.
var lab rev   "Revenu d'activit de l'individu".

compute revh= rev/(B36).

wei by pond32b.

******************************************** TABEAUX REMUNERATION- HORAIRES DE TRAVAIL - PRODUCTIVITE*************************************************.


TABLES
  /OBSERVATION= rev heure revh 
  /FTOTAL= Ensemble 
  /TABLE= region > (branc4 + B22 + B31a + nivinst + B26 + ensemble) by (rev + heure + revh) + ensemble 
  /STATISTICS  Mean(rev)  Med (rev)  Mean(heure) Mean(revh) 
  /TITLE  "Tableau 2.10a : Rmunration moyenne et horaires de travail selon le region".

TABLES
  /OBSERVATION= rev heure revh 
  /FTOTAL= Ensemble 
  /TABLE= (branc4 + B22 + B31a + nivinst + B26 + ensemble) by (rev + heure + revh) + ensemble 
  /STATISTICS  Mean(rev)  Med (rev)  Mean(heure) Mean(revh) 
  /TITLE  "Tableau 2.10a : Rmunration moyenne et horaires de travail selon le region".
